View Issue Details

IDProjectCategoryView StatusLast Update
0000852ScribusImport / Exportpublic2004-07-13 22:04
Reporterbuliabyak Assigned Toplinnell 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSmandrakeOS Version9.2
Product Version1.1.7 
Target VersionFixed in Version 
Summary0000852: import SVG, export PDF, import SVG again => crash
Descriptioncrashes reproducibly
Steps To Reproduce- start scribus
- file/import/svg attached paths.svg
- export to pdf, default settings
- close the document (not scribus)
- do again: file/import/svg, paths.svg

"Scribus crashes due to signal 0000001", the console says

Calling Emergency Save
QWidget (ps): deleted while being painted
QPaintDevice: Cannot destroy paint device that is being painted
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2004-07-07 20:45

 

paths.svg (73,542 bytes)

buliabyak

2004-07-07 20:47

reporter   ~0001927

Actually the signal number is 11 preceded by the hash, your system seems to have treated it as a bug number link.

plinnell

2004-07-11 02:04

viewer   ~0001946

tested the fix here - works perfectly with the patches from 0000851, which will go into CVS soon

cbradney

2004-07-12 23:55

administrator   ~0001955

Reminder sent to buliabyak

Please test and close if fixed.

Issue History

Date Modified Username Field Change
2004-07-07 20:45 buliabyak New Issue
2004-07-07 20:45 buliabyak File Added: paths.svg
2004-07-07 20:47 buliabyak Note Added: 0001927
2004-07-11 02:04 plinnell Status new => resolved
2004-07-11 02:04 plinnell Resolution open => fixed
2004-07-11 02:04 plinnell Assigned To => plinnell
2004-07-11 02:04 plinnell Note Added: 0001946
2004-07-12 23:55 cbradney Note Added: 0001955
2004-07-13 22:04 cbradney Status resolved => closed
2006-05-17 19:33 christoph_s Relationship added child of 0002931